=== debian/changelog ===
libedlib (1.2.3-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Fix test
  * Drop symbols file for backports to simplify build

 -- Andreas Tille <tille@debian.org>  Sun, 21 Oct 2018 07:51:18 +0200

libedlib (1.2.3-3) unstable; urgency=medium

  * Fix Vcs fields

 -- Andreas Tille <tille@debian.org>  Fri, 19 Oct 2018 09:13:39 +0200

libedlib (1.2.3-2) unstable; urgency=medium

  * Fix symbols file
    Closes: #905386
  * Standards-Version: 4.2.1
  * Run build time tests
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 19 Oct 2018 08:15:14 +0200

libedlib (1.2.3-1) unstable; urgency=medium

  * Initial release (Closes: #901184)

 -- Andreas Tille <tille@debian.org>  Sun, 10 Jun 2018 00:21:35 +0200
