=== debian/control ===
Source: libedlib
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               cmake,
               d-shlibs,
               rename
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/libedlib
Vcs-Git: https://salsa.debian.org/med-team/libedlib.git
Homepage: https://github.com/Martinsos/edlib

Package: libedlib0
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: library for sequence alignment using edit distance
 A lightweight and super fast C/C++ library for sequence alignment using
 edit distance.
 .
 Calculating edit distance of two strings is as simple as:
 .
  edlibAlign("hello", 5, "world!", 6,
             edlibDefaultAlignConfig()).editDistance;
 Features
 .
  * Calculates edit distance (Levehnstein distance).
  * It can find optimal alignment path (instructions how to transform
    first sequence into the second sequence).
  * It can find just the start and/or end locations of alignment path -
    can be useful when speed is more important than having exact
    alignment path.
  * Supports multiple alignment methods: global(NW), prefix(SHW) and
    infix(HW), each of them useful for different scenarios.
  * You can extend character equality definition, enabling you to e.g.
    have wildcard characters, to have case insensitive alignment or to
    work with degenerate nucleotides.
  * It can easily handle small or very large sequences, even when finding
    alignment path, while consuming very little memory.
  * Super fast thanks to Myers's bit-vector algorithm.
 .
 This package contains the shared library.

Package: libedlib-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libedlib0 (= ${binary:Version})
Description: library for sequence alignment using edit distance (devel)
 A lightweight and super fast C/C++ library for sequence alignment using
 edit distance.
 .
 Calculating edit distance of two strings is as simple as:
 .
  edlibAlign("hello", 5, "world!", 6,
             edlibDefaultAlignConfig()).editDistance;
 Features
 .
  * Calculates edit distance (Levehnstein distance).
  * It can find optimal alignment path (instructions how to transform
    first sequence into the second sequence).
  * It can find just the start and/or end locations of alignment path -
    can be useful when speed is more important than having exact
    alignment path.
  * Supports multiple alignment methods: global(NW), prefix(SHW) and
    infix(HW), each of them useful for different scenarios.
  * You can extend character equality definition, enabling you to e.g.
    have wildcard characters, to have case insensitive alignment or to
    work with degenerate nucleotides.
  * It can easily handle small or very large sequences, even when finding
    alignment path, while consuming very little memory.
  * Super fast thanks to Myers's bit-vector algorithm.
 .
 This package contains the static library and the header files.

Package: edlib-aligner
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libedlib0 (= ${binary:Version})
Description: edlib sequence alignment tool using edit distance
 Edlib is a lightweight and super fast C/C++ library for sequence
 alignment using edit distance.  This package provides an aligner
 using this library.
 .
 Features of libedlib
 .
  * Calculates edit distance (Levehnstein distance).
  * It can find optimal alignment path (instructions how to transform
    first sequence into the second sequence).
  * It can find just the start and/or end locations of alignment path -
    can be useful when speed is more important than having exact
    alignment path.
  * Supports multiple alignment methods: global(NW), prefix(SHW) and
    infix(HW), each of them useful for different scenarios.
  * You can extend character equality definition, enabling you to e.g.
    have wildcard characters, to have case insensitive alignment or to
    work with degenerate nucleotides.
  * It can easily handle small or very large sequences, even when finding
    alignment path, while consuming very little memory.
  * Super fast thanks to Myers's bit-vector algorithm.
