=== debian/changelog ===
libedlib (1.2.4-2ubuntu1) focal; urgency=medium

  * Mark some symbols as optional.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2020 12:01:33 +0100

libedlib (1.2.4-2build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:20:22 +0100

libedlib (1.2.4-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:41:18 +0000

libedlib (1.2.4-2) unstable; urgency=medium

  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Name.
  * Adapt symbols file to gcc9
    Closes: #925740

 -- Andreas Tille <tille@debian.org>  Sun, 18 Aug 2019 15:49:41 +0200

libedlib (1.2.4-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Mon, 28 Jan 2019 19:11:07 +0100

libedlib (1.2.3-5) unstable; urgency=medium

  * Declare characters signed explicitly
    Closes: #911967

 -- Andreas Tille <tille@debian.org>  Wed, 19 Dec 2018 12:50:07 +0100

libedlib (1.2.3-4) unstable; urgency=medium

  * Make sure the executable is found in test
  * Add Python3 bindings

 -- Andreas Tille <tille@debian.org>  Mon, 17 Dec 2018 08:59:56 +0100
