=== debian/control ===
--- 
+++ 
@@ -3,11 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
+               dh-python,
                d-shlibs,
-               rename
-Standards-Version: 4.2.1
+               rename,
+               cython3,
+               python3-all-dev,
+               python3-setuptools
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/libedlib
 Vcs-Git: https://salsa.debian.org/med-team/libedlib.git
 Homepage: https://github.com/Martinsos/edlib
@@ -103,3 +107,36 @@
   * It can easily handle small or very large sequences, even when finding
     alignment path, while consuming very little memory.
   * Super fast thanks to Myers's bit-vector algorithm.
+
+Package: python3-edlib
+Architecture: any
+Section: python
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         ${python3:Depends}
+Description: library for sequence alignment using edit distance (Python3 module)
+ A lightweight and super fast C/C++ library for sequence alignment using
+ edit distance.
+ .
+ Calculating edit distance of two strings is as simple as:
+ .
+  edlibAlign("hello", 5, "world!", 6,
+             edlibDefaultAlignConfig()).editDistance;
+ Features
+ .
+  * Calculates edit distance (Levehnstein distance).
+  * It can find optimal alignment path (instructions how to transform
+    first sequence into the second sequence).
+  * It can find just the start and/or end locations of alignment path -
+    can be useful when speed is more important than having exact
+    alignment path.
+  * Supports multiple alignment methods: global(NW), prefix(SHW) and
+    infix(HW), each of them useful for different scenarios.
+  * You can extend character equality definition, enabling you to e.g.
+    have wildcard characters, to have case insensitive alignment or to
+    work with degenerate nucleotides.
+  * It can easily handle small or very large sequences, even when finding
+    alignment path, while consuming very little memory.
+  * Super fast thanks to Myers's bit-vector algorithm.
+ .
+ This package contains the Python3 module.
