=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export PYBUILD_NAME = edlib

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_CMAKE_EXTRA_FLAGS = -DCMAKE_BUILD_TYPE=Release

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_auto_build:
	dh_auto_build --buildsystem=cmake
	# $(MAKE) --directory=bindings/python
	$(MAKE) --directory=bindings/python edlib pyedlib.bycython.cpp
	dh_auto_build --buildsystem=pybuild -- --dir bindings/python

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake
#	$(MAKE) install --directory=bindings/python
	dh_auto_install --buildsystem=pybuild -- --dir bindings/python

override_dh_install:
	dh_install
	file-rename 's/_static\.a/.a/' `find debian -name libedlib_static.a`
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --movedev debian/tmp/usr/include/* usr/include \
		    debian/tmp/usr/lib/*.so

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	`find . -name edlib-aligner -type f -executable` -p apps/aligner/test_data/query.fasta apps/aligner/test_data/target.fasta
	`find . -name runTests`
endif
