=== debian/changelog ===
libedlib (1.2.6-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

  [ Steffen Moeller ]
  * Added refs to conda and omictools

  [ Nilesh Patra ]
  * Refresh patch
  * Enable building both shared and static lib
  * Modify d-shlibs for pkgconfig and gnuinstalldirs
  * Rename lib package as per package version

 -- Andreas Tille <tille@debian.org>  Tue, 12 Jan 2021 16:33:05 +0100
