=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                cython3,
                python3-all-dev,
                python3-setuptools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/libedlib
 Vcs-Git: https://salsa.debian.org/med-team/libedlib.git
 Homepage: https://github.com/Martinsos/edlib
