=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,8 @@
 		    --devunversioned \
 		    --exclude-la \
 		    --movedev debian/tmp/usr/include/* usr/include \
-		    debian/tmp/usr/lib/*.so
+		    --movedev debian/tmp/usr/lib/*/pkgconfig usr/lib/$(DEB_HOST_MULTIARCH) \
+		    debian/tmp/usr/lib/*/*.so
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
