=== debian/changelog ===
libedlib (1.2.7-7) unstable; urgency=medium

  * cmake-4.patch: new: bump cmake requirement to 3.10. (Closes: #1113144)
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/patches/*: normalise Last-Update timestamp.
  * fix-package-version.patch: provide a dep3 header.
  * d/watch: convert to v5 Github template.

 -- Étienne Mollier <emollier@debian.org>  Wed, 01 Oct 2025 20:16:10 +0200

libedlib (1.2.7-6) unstable; urgency=medium

  * d/libedlib1.symbols: mark symbols leaked by the compiler as optional.
    (Closes: #1015484, #1075164)
  * d/rules: always run LTO builds.
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Sat, 13 Jul 2024 20:49:11 +0200

libedlib (1.2.7-5) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/clean: Remove generated files and folders from build (Closes: #1048671)

 -- Lance Lin <lq27267@gmail.com>  Mon, 26 Feb 2024 19:59:36 +0700

libedlib (1.2.7-4) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)
  * No tab in license text (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2022 19:51:17 +0100

libedlib (1.2.7-3) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * Fix version of package in CMakeLists.txt

  [ tony mancill ]
  * Enable building shared libs; upstream defaults this to OFF
    (Closes: #996541)
  * Update symbols file for libedlib1
  * Adjust enabled_shared_and_static.patch
  * Freshen years in debian/copyright
  * Add Build-Depends-Package metadata to libedlib1.symbols (lintian)

 -- tony mancill <tmancill@debian.org>  Wed, 29 Dec 2021 16:18:05 -0800

libedlib (1.2.7-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Thu, 14 Oct 2021 09:27:47 +0200

libedlib (1.2.7-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Apply multi-arch hints.
    + libedlib-dev, libedlib0, python3-edlib: Add Multi-Arch: same.
  * d/watch: Add filemangle
  * Upstream decided to use SOVERSION 1 - so follow this decision
  * Install cmake files

 -- Andreas Tille <tille@debian.org>  Wed, 13 Oct 2021 15:32:00 +0200
