=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: libedlib
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
-               dh-python,
+               dh-sequence-python3,
                d-shlibs,
                rename,
                cython3,
                python3-all-dev,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/libedlib
 Vcs-Git: https://salsa.debian.org/med-team/libedlib.git
 Homepage: https://github.com/Martinsos/edlib
 
-Package: libedlib0
+Package: libedlib1
 Architecture: any
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Multi-Arch: same
 Description: library for sequence alignment using edit distance
  A lightweight and super fast C/C++ library for sequence alignment using
  edit distance.
@@ -53,7 +55,8 @@
 Section: libdevel
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libedlib0 (= ${binary:Version})
+         libedlib1 (= ${binary:Version})
+Multi-Arch: same
 Description: library for sequence alignment using edit distance (devel)
  A lightweight and super fast C/C++ library for sequence alignment using
  edit distance.
@@ -85,7 +88,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libedlib0 (= ${binary:Version})
+         libedlib1 (= ${binary:Version})
 Description: edlib sequence alignment tool using edit distance
  Edlib is a lightweight and super fast C/C++ library for sequence
  alignment using edit distance.  This package provides an aligner
@@ -114,6 +117,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${python3:Depends}
+Multi-Arch: same
 Description: library for sequence alignment using edit distance (Python3 module)
  A lightweight and super fast C/C++ library for sequence alignment using
  edit distance.
