=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,17 @@
 
 export PYBUILD_NAME = edlib
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto
 
-DEB_CMAKE_EXTRA_FLAGS = -DCMAKE_BUILD_TYPE=Release
+DEB_CMAKE_EXTRA_FLAGS = -DCMAKE_BUILD_TYPE=Release \
+                        -DEDLIB_BUILD_EXAMPLES=False \
+                        -DBUILD_TESTING=False \
+                        -DEDLIB_OMIT_README_RST=1 \
+                        -DBUILD_SHARED_LIBS=ON
+EDLIB_OMIT_README_RST=1
 
 %:
-	dh $@ --with python3
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure --buildsystem=cmake -- $(DEB_CMAKE_EXTRA_FLAGS)
@@ -17,8 +22,8 @@
 override_dh_auto_build:
 	dh_auto_build --buildsystem=cmake
 	# $(MAKE) --directory=bindings/python
-	$(MAKE) --directory=bindings/python edlib pyedlib.bycython.cpp
-	dh_auto_build --buildsystem=pybuild -- --dir bindings/python
+	EDLIB_OMIT_README_RST=1 $(MAKE) --directory=bindings/python edlib pyedlib.bycython.cpp
+	EDLIB_OMIT_README_RST=1 dh_auto_build --buildsystem=pybuild -- --dir bindings/python
 
 override_dh_auto_install:
 	dh_auto_install --buildsystem=cmake
@@ -33,6 +38,7 @@
 		    --devunversioned \
 		    --exclude-la \
 		    --movedev debian/tmp/usr/include/* usr/include \
+		    --movedev debian/tmp/usr/lib/*/cmake usr/lib/$(DEB_HOST_MULTIARCH) \
 		    --movedev debian/tmp/usr/lib/*/pkgconfig usr/lib/$(DEB_HOST_MULTIARCH) \
 		    debian/tmp/usr/lib/*/*.so
