=== debian/watch ===
Version: 5

Template: Github
Owner: Martinsos
Project: edlib
